/*******************************************************
 *
 * $Id: FlyingChickenScreen.h,v 1.11 2003/05/29 15:40:16 teacy Exp $
 *
 * This file has been placed in the public domain.
 *
 *******************************************************/


#ifndef FLYING_CHICKEN_SCREEN_H
#define FLYING_CHICKEN_SCREEN_H

#include <PalmOS.h>

#include "app/Screen.h"
#include "gfx/SpriteEngine.h"
#include "input/DigitalController.h"


/**
 * Screen that shows Tux in the background, a few flying chicken, and some static and dynamic overlays.
 */
class FlyingChickenScreen : public Screen
{
	/**
	 * Persistent internal state of the screen.
	 */
	struct FlyingChickenScreenState
	{
		UInt32 periodCounter;
		UInt32 lastMoved;
	
		Coord xCoord;
		Coord yCoord;
	};


	public:
	SCREEN_PUBLIC_OPS(FlyingChickenScreen)

///@name Persistence
//@{
	/**
	 * Return a descriptor for a freshly initialized state. 
	 */
	static StateDescriptor *createStateDescriptor() SEC_GAME;
//@}


	private:	

	//
	// Declare your private operations here
	//
	
	// No private operations in this sample project
	
	
	//
	// Declare your private data structures and attributes here
	//

	// The following declarations are part of the sample project, and need to be replaced by you
	FlyingChickenScreenState *state;
	Boolean exitScreen;

	static const UInt16 CHICKEN1_SPRITE = 0;
	static const UInt16 CHICKEN2_SPRITE = 1;
	static const UInt16 CHICKEN3_SPRITE = 2;

	Coord viewportWidth;
	Coord viewportHeight;
	const AnimFrames *chickenFrames;
	SpriteGroup *chickenGroup;

	const BitmapArray *tuxBitmap;
	const BitmapArray *coinBitmap;
	// End of declarations from sample project

	DigitalController *controller;

};

#endif
