/*********************************************************************************
 *
 * Razor! Engine - A modular C++ presentation engine
 *
 * $Id: ControllerFactory.h,v 1.1 2003/01/26 10:43:40 teacy Exp $
 *
 * Copyright (c) 2003 Tilo Christ. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the  "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the Software 
 * is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all 
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 **********************************************************************************/


#ifndef CONTROLLERFACTORY_H
#define CONTROLLERFACTORY_H

#include "RazorSections.h"
#include <PalmOS.h>

#include "input/DigitalController.h"


/**
 * Provide controllers.
 * <br>
 * Takes into account the type of device on which the application is running,
 * as well as user preferences.
 */
class ControllerFactory
{
	public:
	static DigitalController *getDigitalController() SEC_RAZOR;
//	static AnalogController *getAnalogController() SEC_RAZOR;
	
	private:
	// This class only has static methods.
	ControllerFactory() SEC_RAZOR;
	virtual ~ControllerFactory() SEC_RAZOR;
};


#endif
