/*********************************************************************************
 *
 * Razor! Engine - A modular C++ presentation engine
 *
 * $Id: Flatshader.h,v 1.1 2003/02/15 11:59:22 teacy Exp $
 *
 * Copyright (c) 2000-2003 Tilo Christ. All Rights Reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the  "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the Software 
 * is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all 
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 **********************************************************************************/

#if !defined(FLATSHADER_H)
#define FLATSHADER_H

#include <PalmOS.h>

#include "RazorSections.h"
#include "gfx/Canvas.h"
#include "gfx/Geometry.h"
#include "gfx/Color.h"


class Armlet;

/**
 * Draw 'flat' (non-textured, non-shaded) polygons
 */
class Flatshader
{
	public: 
	
	/**
	 * Draw an arbitrary polygon to the specified Canvas.
	 */
	static void drawPolygon(const Canvas *canvas, const xy *e, UInt16 vertexCount, const Color color) SEC_RAZOR;

	private:
	static const Armlet flatshaderArmlet;
};

#endif
