/*********************************************************************************
 *
 * Razor! Engine - A modular C++ presentation engine
 *
 * $Id: RockerDigitalController.h,v 1.3 2003/03/17 22:20:58 teacy Exp $
 *
 * Copyright (c) 2003 Tilo Christ. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the  "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the Software 
 * is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all 
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE 
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 **********************************************************************************/


#ifndef ROCKER_DIGITAL_CONTROLLER_H
#define ROCKER_DIGITAL_CONTROLLER_H

#include "RazorSections.h"

#include "input/Controller.h"
#include "input/DigitalController.h"



namespace prvrazor
{

/**
 * A digital controller for Palm devices with a Page Up/Down rocker switch,
 * and four application hard keys. Provides 8 directions and 2 buttons.
 */
class RockerDigitalController : public DigitalController
{
	public:
	void receiveEvent(const EventType* evtPtr) SEC_RAZOR;
	int getDirection() const SEC_RAZOR;
	int getButtonCount() const SEC_RAZOR;
	bool isButtonPressed(int buttonIndex) const SEC_RAZOR;	

	RockerDigitalController() SEC_RAZOR;

	protected:
	~RockerDigitalController();
};

}

#endif
